From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/qemu-guest-agent/
Date: Wed, 19 Dec 2018 21:47:11 +0000 (UTC) [thread overview]
Message-ID: <1545256004.d49d8e1ca96038f2f53bba3e62a057b38635e4f7.tamiko@gentoo> (raw)
commit: d49d8e1ca96038f2f53bba3e62a057b38635e4f7
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 19 21:33:53 2018 +0000
Commit: Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Wed Dec 19 21:46:44 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d49d8e1c
app-emulation/qemu-guest-agent: version bump to 3.1.0
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>
app-emulation/qemu-guest-agent/Manifest | 1 +
.../qemu-guest-agent/qemu-guest-agent-3.1.0.ebuild | 82 ++++++++++++++++++++++
2 files changed, 83 insertions(+)
diff --git a/app-emulation/qemu-guest-agent/Manifest b/app-emulation/qemu-guest-agent/Manifest
index 2133361c420..a27af84244b 100644
--- a/app-emulation/qemu-guest-agent/Manifest
+++ b/app-emulation/qemu-guest-agent/Manifest
@@ -1 +1,2 @@
DIST qemu-2.12.0.tar.bz2 41196232 BLAKE2B f258e570558249ea647c3571908f90b8bacdcef9a1814009b98571cf0e96406194d44aa041fd0a97c9b673f39a9eaae8d873824745509778a6784cd85f8398b0 SHA512 91d829f44c431e4c1cd335f3efea5afff9da62d832b0296a92417463ea0826d09ce226c2ea8ac167fe7b99b6bb976c7cb1357aaf17735ee57af6602161e46346
+DIST qemu-3.1.0.tar.xz 36070104 BLAKE2B 9ed7d1b3256d84f2b73d61763e20f5e4bc5b47d56e4e0d56cf4c29cd25669457b0f08e90d7255589c9666400bb310df3dba3b9290232cad18057b20f08013a3b SHA512 7e8dae823937cfac2f0c60406bd3bdcb89df40313dab2a4bed327d5198f7fcc68ac8b31e44692caa09299cc71256ee0b8c17e4f49f78ada8043d424f5daf82fe
diff --git a/app-emulation/qemu-guest-agent/qemu-guest-agent-3.1.0.ebuild b/app-emulation/qemu-guest-agent/qemu-guest-agent-3.1.0.ebuild
new file mode 100644
index 00000000000..dfc5b9c8e13
--- /dev/null
+++ b/app-emulation/qemu-guest-agent/qemu-guest-agent-3.1.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit eutils systemd udev python-any-r1
+
+MY_PN="qemu"
+MY_P="${MY_PN}-${PV}"
+
+SRC_URI="http://wiki.qemu.org/download/${MY_P}.tar.xz"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+
+DESCRIPTION="QEMU Guest Agent (qemu-ga) for use when running inside a VM"
+HOMEPAGE="https://wiki.qemu.org/Features/GuestAgent"
+
+LICENSE="GPL-2 BSD-2"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-libs/glib"
+
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.5.0-sysmacros.patch #580924
+)
+
+src_configure() {
+ tc-export AR LD OBJCOPY
+
+ local myconf=(
+ --prefix=/usr
+ --sysconfdir=/etc
+ --libdir="/usr/$(get_libdir)"
+ --localstatedir=/
+ --disable-bsd-user
+ --disable-linux-user
+ --disable-system
+ --disable-strip
+ --disable-tools
+ --disable-werror
+ --enable-guest-agent
+ --python="${PYTHON}"
+ --cc="$(tc-getCC)"
+ --cxx="$(tc-getCXX)"
+ --host-cc="$(tc-getBUILD_CC)"
+ )
+ echo "./configure ${myconf[*]}"
+ ./configure "${myconf[@]}" || die
+}
+
+src_compile() {
+ emake V=1 qemu-ga
+}
+
+src_install() {
+ dobin qemu-ga
+
+ # Normal init stuff
+ newinitd "${FILESDIR}/qemu-ga.init-r1" qemu-guest-agent
+ newconfd "${FILESDIR}/qemu-ga.conf-r1" qemu-guest-agent
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/qemu-ga.logrotate" qemu-guest-agent
+
+ # systemd stuff
+ udev_newrules "${FILESDIR}/qemu-ga-systemd.udev" 99-qemu-guest-agent.rules
+
+ systemd_newunit "${FILESDIR}/qemu-ga-systemd.service" \
+ qemu-guest-agent.service
+}
+
+pkg_postinst() {
+ elog "You should add 'qemu-guest-agent' to the default runlevel."
+ elog "e.g. rc-update add qemu-guest-agent default"
+}
next reply other threads:[~2018-12-19 21:47 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-12-19 21:47 Matthias Maier [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-03 20:52 [gentoo-commits] repo/gentoo:master commit in: app-emulation/qemu-guest-agent/ Sam James
2025-03-03 20:48 Sam James
2024-12-30 14:11 Sam James
2024-12-02 14:50 Sam James
2024-07-03 21:21 Matthias Maier
2024-06-02 5:12 Sam James
2024-06-02 5:12 Sam James
2024-06-02 5:12 Sam James
2024-06-02 5:12 Sam James
2024-05-25 8:26 Sam James
2024-04-29 10:36 Joonas Niilola
2024-04-29 10:36 Joonas Niilola
2024-02-03 3:50 Ionen Wolkens
2024-02-02 3:58 Sam James
2023-08-13 7:42 Joonas Niilola
2023-08-13 7:42 Joonas Niilola
2023-08-01 7:28 Sam James
2023-06-18 3:00 Matthias Maier
2023-05-05 23:32 Matthias Maier
2023-03-04 8:31 Joonas Niilola
2023-03-04 8:27 Joonas Niilola
2023-03-04 8:26 Arthur Zamarin
2022-10-26 3:25 John Helmert III
2022-10-13 14:22 John Helmert III
2022-10-12 22:56 Sam James
2022-10-12 22:56 Sam James
2022-10-12 22:56 Sam James
2021-06-12 17:13 Sam James
2021-05-23 19:04 Michał Górny
2021-05-17 7:49 Agostino Sarubbo
2021-05-17 3:01 Sam James
2021-05-16 20:05 Matthias Maier
2020-05-27 15:23 Alexey Shvetsov
2020-05-27 15:23 Alexey Shvetsov
2020-04-20 9:52 Agostino Sarubbo
2020-04-20 7:53 Agostino Sarubbo
2020-04-19 18:12 Matthias Maier
2019-07-31 11:03 Agostino Sarubbo
2019-07-31 10:59 Agostino Sarubbo
2019-04-29 7:14 Matthias Maier
2019-04-08 2:52 Matthias Maier
2019-01-07 0:16 Thomas Deutschmann
2019-01-06 12:26 Mikle Kolyada
2018-10-20 16:07 Andreas Hüttel
2018-10-02 8:31 Mikle Kolyada
2018-10-01 21:47 Thomas Deutschmann
2018-06-29 5:33 Matthias Maier
2018-06-29 4:50 Matthias Maier
2018-06-29 4:50 Matthias Maier
2018-06-11 8:13 Agostino Sarubbo
2018-06-10 18:46 Thomas Deutschmann
2018-06-10 3:41 Matthias Maier
2018-06-10 3:31 Matthias Maier
2018-06-10 3:31 Matthias Maier
2018-03-18 21:02 Matthias Maier
2018-03-18 21:02 Matthias Maier
2018-03-18 21:02 Matthias Maier
2018-02-11 21:30 Matthias Maier
2018-02-11 21:30 Matthias Maier
2017-11-17 18:47 David Seifert
2017-11-13 3:38 Matthias Maier
2017-11-13 3:38 Matthias Maier
2017-05-03 12:27 Matthias Maier
2016-05-17 4:41 Mike Frysinger
2016-03-28 21:41 Mike Frysinger
2016-03-28 21:41 Mike Frysinger
2015-12-17 15:12 Mike Frysinger
2015-09-08 7:20 Agostino Sarubbo
2015-09-08 7:19 Agostino Sarubbo
2015-08-12 4:24 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1545256004.d49d8e1ca96038f2f53bba3e62a057b38635e4f7.tamiko@gentoo \
--to=tamiko@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox